Bug 728582 - Cannot logout of beaker after logging in via WEBUI (Non Kerberos)
Summary: Cannot logout of beaker after logging in via WEBUI (Non Kerberos)
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Beaker
Classification: Community
Component: web UI
Version: 0.7
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified vote
Target Milestone: ---
Assignee: Raymond Mancy
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-08-05 17:15 UTC by Arlinton Bourne
Modified: 2014-12-08 01:09 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-08-08 04:49:51 UTC


Attachments (Terms of Use)

Description Arlinton Bourne 2011-08-05 17:15:15 UTC
Description of problem:
Cannot logout of beaker after logging in via the WEBUI.

Steps to Reproduce:
1. Login via WebUI
2. Do some stuff (I was marking systems secret and updating notes)
3. Try to Logout using the link in the upper right
  
Actual results:
Not logging out

Expected results:
Logging out

Additional info:
Browser Name: Firefox
Version: 5.0.1 
User Agent: Mozilla/5.0 (Macintosh; Intel Mac OS X 10.5; rv:5.0.1) Gecko/20100101 Firefox/5.0.1

Comment 1 Dan Callaghan 2011-08-08 04:49:51 UTC
Your browser is saving the HTTP basic auth credentials you used to log in, so that when you try to log out you are just being logged straight back in.

Normally Firefox saves basic auth credentials until the browser process ends (or until cleared by an extension like the Web Developer Toolbar). There's nothing we can do about this.


Note You need to log in before you can comment on or make changes to this bug.